### Function

# GLib DateTime new_local

since: 2.26

#### Declaration [src]

    GDateTime*
    g_date_time_new_local (
      gint year,
      gint month,
      gint day,
      gint hour,
      gint minute,
      gdouble seconds
    )

#### Description [src]

Creates a new `GDateTime` corresponding to the given date and time in the local time zone.

This call is equivalent to calling `g_date_time_new()` with the time zone returned by g_time_zone_new_local().

Available since: 2.26

#### Parameters

`year`

  Type: `gint`

  The year component of the date.

`month`

  Type: `gint`

  The month component of the date.

`day`

  Type: `gint`

  The day component of the date.

`hour`

  Type: `gint`

  The hour component of the date.

`minute`

  Type: `gint`

  The minute component of the date.

`seconds`

  Type: `gdouble`

  The number of seconds past the minute.

#### Return value

Type: `GDateTime`

A `GDateTime`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.